Make n-queens benchmark compatible with older GHCs
authorHerbert Valerio Riedel <hvr@gnu.org>
Thu, 29 Aug 2013 21:03:53 +0000 (23:03 +0200)
committerHerbert Valerio Riedel <hvr@gnu.org>
Thu, 29 Aug 2013 21:03:53 +0000 (23:03 +0200)
commit9701fb0ea75b1bd167a94d61d29cb2c47b1080f1
treece1ef00c129ae3b334c3814105a89a7b33805cfa
parent81fac78910ad7a242ab1d83ffd8cf5eee1d62d7b
Make n-queens benchmark compatible with older GHCs

The change in 957b959dbeb14c3b2d10998d67310e880c01a7dd
caused n-queens to break with older versions of `base`
which still have `Foreign.unsafePerformIO` in place.
shootout/n-body/Main.hs